  # Default values for demo.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: nginx
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  className: "nginx"
  annotations: {}
   #  kubernetes.io/ingress.class: nginx
   #  kubernetes.io/tls-acme: "true"
  hosts:
    - host: web1.devops-app.com
      paths:
        - path: /v1
          pathType: ImplementationSpecific
    - host: web1.devops-app.com
      paths:
        - path: /v2
          pathType: ImplementationSpecific
    - host: web1.devops-app.com
      paths:
        - path: /v3
          pathType: ImplementationSpecific


  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local
  rules:
    - host: web1.devops-app.com
      http:
        paths:
          - path: /v1
            backend:
              serviceName: my-app
              servicePort: 80
    - host: web1.devops-app.com
      http:
        paths:
          - path: /v2
            backend:
              serviceName: my-app
              servicePort: 80
    - host: web1.devops-app.com
      http:
        paths:
          - path: /v3
            backend:
              serviceName: my-app
              servicePort: 80
resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: true
  minReplicas: 3
  maxReplicas: 6
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
